Redmine - Feature #2416

{background:color} doesn't work in text formatting
2008-12-30 07:18 - Chaoqun Zou

Status: Closed Start date: 2008-12-30
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 1.4.0

Resolution: Fixed

Description

table{border:1px bordercolor:darkblue}.
|1 _.2]1_.3|_.4]|

lalb| {background:#ddd}.c|d|
lelflgl{background:#ddd}. Grey cell|

should looks like the table below, but in the current devel version(r2202 tested), the background color cann't be displayed.

1 2 4
a b c d

e f g Grey cell
Related issues:

Related to Redmine - Defect #949: Style not applied to wiki image Closed 2008-03-28
Related to Redmine - Feature #22425: Allow "style" tag in Redcarpet Markdown ... Closed

Related to Redmine - Defect #37237: Common Markdown Formatter does not render... Closed

Has duplicate Redmine - Defect #5141: textile style tags do not work Closed 2010-03-21
Has duplicate Redmine - Defect #10324: How can | set Wiki text's color Closed

Has duplicate Redmine - Feature #10325: Text formatting: textile not working ... Closed

Associated revisions

Revision 8860 - 2012-02-12 15:00 - Jean-Philippe Lang

Allows custom styles in textile formatting using a white list of styles (#2416).

History

#1 - 2008-12-30 10:42 - Jean-Philippe Lang
- Status changed from New to Resolved

- Resolution set to Wont fix

Textile inline styles were disabled in r2192 for security reasons.

If you really need this feature and don't fear XSS attacks, then have a look at:
source:/trunk/lib/redmine/wiki_formatting/textile/formatter.ro@2192#L 33

#2 - 2008-12-30 16:16 - Chaoqun Zou

I'm not familiar with XSS. And does the code below still looks like a vulnerability?
(-]

#3 - 2008-12-30 17:12 - Jean-Philippe Lang

Yes. It looks like. Example stripped and fix committed in r2212.

#4 - 2008-12-31 11:40 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/2202
https://www.redmine.org/projects/redmine/repository/svn/revisions/2192
https://www.redmine.org/projects/redmine/repository/svn/revisions/2192/entry/trunk/lib/redmine/wiki_formatting/textile/formatter.rb#L33
https://www.redmine.org/projects/redmine/repository/svn/revisions/2212

#5 - 2008-12-31 16:43 - Chaoqun Zou

| have found a textile reference that says:

Developers can easily include Textile in any web application that accepts user input for display on web pages. Textile supports UTF-8 input, and
produces valid XHTML. A “Restricted” mode is available for processing input from untrusted users, where invalid input and XSS attacks are a risk.

Maybe you would like to have a look at: http:/threshol .com/articles/4312/the-textile-referen

#6 - 2012-02-12 15:13 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from {background:color} doesn't work in the textile field of wiki or issue page to {background:color} doesn't work in text formatting
- Category changed from Wiki to Text formatting

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution changed from Wont fix to Fixed

The following white list of styles is now allowed in text formatting (r8860): color, width, height, border, background, padding, margin, font, text and
their variations (eg. border-left, ...). Malformed styles are filetered as well.

table{background: #afa}.

l_.11_.2|

| {background:red; color:white}. Red cell|d]
|gl {background: #ddd}. Grey cell]

Displays:

d

g Grey cell

#7 - 2012-07-18 13:06 - Keats .

the FAQ points there but it's not working for me.
steps

e create a wiki
e paste the table example

table{background:#afa}. |_.1|_.2| |{background:red; color:white}. Red cell|d| |g|{background:#ddd}. Grey cell

is seen on the the wiki

#8 - 2014-02-13 09:51 - lvan Samygin

| noticed that there must be an empty line before your table markup to get it work.

#9 - 2018-06-09 02:12 - Go MAEDA
- Related to Feature #22425: Allow "style" tag in Redcarpet Markdown formatter added

#10 - 2022-09-26 20:16 - Mischa The Evil

- Related to Defect #37237: Common Markdown Formatter does not render all properties on HTML elements added
http://thresholdstate.com/articles/4312/the-textile-reference-manual
https://www.redmine.org/projects/redmine/repository/svn/revisions/8860
http://www.tcpdf.org

